Native Eclipse 4.x support

Are you missing a feature? Request it's implementation here.
stwissel
Posts: 5

Native Eclipse 4.x support

Fri Jun 29, 2012 4:26 pm

Eclipse Juno (4.2) has been released featuring the first official Eclipse 4.x release. What's the plan for oXygen to go Eclipse 4.x native?
sorin_ristache
Posts: 4144

Re: Native Eclipse 4.x support

Fri Jun 29, 2012 4:55 pm

Hello,

The Oxygen plugin for Eclipse does not support yet Eclipse 4.x. There are major API changes in the Eclipse 4.x platform that were not integrated in the Oxygen plugin but we will consider integrating these API changes in a future version of the Oxygen plugin, maybe in one of the Oxygen 14.x versions.


Regards,
Sorin
wraila
Posts: 1

Re: Native Eclipse 4.x support

Thu Sep 13, 2012 12:34 am

The replies to this and other posts on the topic of Juno suggest that oXygen isn't really committed to Eclipse. Too bad. I use eclipse almost exclusively for all my development. Writing applications today requires so many different tools that it doesn't make sense to have a different api for each one, and eclipse does a beautiful job of bringing it all together. I would rather not use oXygen than not use eclipse. I've been using oXygen for many years and have never once used the standalone api. It would be a shame to quit now.
adrian
Posts: 2489

Re: Native Eclipse 4.x support

Thu Sep 13, 2012 11:35 am

Hello,

The problem with Eclipse 4.x was that it had significant API changes/inconsistencies during the development of Eclipse 4.0 and 4.1. This made us think twice before supporting it at that early stage.
When the stable build of Eclipse 4.2 (Juno) was finally released in June 2012, Oxygen v14.0 was already very close to its own release date and it was simply not possible for us to tweak it in time to officially support the new version of Eclipse. Note that I said "officially", this means it still works, but there are issues (some significant).

However, since the release of Oxygen 14.0 we have dedicated plenty of development time to supporting Eclipse 4.2 (Juno) and I'm glad to say that it will be officially supported starting with Oxygen 14.1 (to be released soon).

Regards,
Adrian
Adrian Buza
<oXygen/> XML Editor, Schema Editor and XSLT Editor/Debugger
http://www.oxygenxml.com

Return to “Feature Request”

Who is online

Users browsing this forum: No registered users and 0 guests